<!DOCTYPE html>
<html>
    <head>
        <link rel="stylesheet" href="/css/engine/adapters-1.2.min.css" />
<script src="/js/engine/adapters-1.2.min.js"></script>
<script>
/*<![CDATA[*/

    requirejs.undef('_fm_adapters_options');

    define('_fm_adapters_options', [], function () {
        return { "group02Id.lastname": {"min":"3","otherHelp":"<div>\n    <h3>{{title}</h3>\n    <p>{{content}}</p>\n</div>"}, "group02Id.group01Id.fld06[]": {"min":1}, "group02Id.fld05": {"ref":"ref01"}, "group02Id.fld06": {"pattern":"^[a-zA-ZàáâãäåæçèéêêìíîïðñòóôõöøœùúûüýÿÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÑÒÓÔÕÖØŒÙÚÛÜÝ\\s\\-\\']{1,100}$","max":100} };
    });

    requirejs.undef('_fm_data');

    define('_fm_data', [], function () {
        var _record = JSON.parse(atob('eyJmb3JtSWQiOnsiZ3JvdXAwMklkIjp7Imdyb3VwMDFJZCI6eyJkaWVkIjpmYWxzZSwiZmxkMDYiOlsiIiwiIl19LCJmaXJzdG5hbWUiOiJKb2huIiwiZmxkMDYiOm51bGwsImZsZDA1IjpudWxsLCJmbGQwNCI6bnVsbCwibGFzdG5hbWUiOiJEb2UifX19'));
        var _step = _record.formId;
        var _page = _step.group02Id;
        return {
            _record : _record,
            _step   : _step,
            _page   : _page
        };
    });

    define('_fm_rules', [ '_fm_data', 'engine/trigger-api' ], function (data, _api) {
        with(_api) {
            var _record = data._record;
            var _step = data._step;
            var _page = data._page;

            return {"group01Id.fld06[1]":{"type":"field","minOccurs":{"dependsOn":[],"predicate":function(_group){return(0);}}},"group01Id.fld06[0]":{"type":"field","minOccurs":{"dependsOn":[],"predicate":function(_group){return(0);}}},"group01Id.died":{"type":"field","display":{"dependsOn":["_page.firstname"],"predicate":function(_group){return(null != _page.firstname && '' != _page.firstname);}},"trigger":{"dependsOn":["_page.group01Id.died"],"predicate":function(_group){return(submit());}}},"lastname":{"type":"field","display":{"dependsOn":["_page.firstname","_page.lastname"],"predicate":function(_group){return(_page.firstname != _page.lastname);}}}};
        }
    });

    requirejs.undef('_fm_referentials');

    define('_fm_referentials', [ 'engine/Value', '_fm_data' ], function(Value, data) {
        var _record = data._record;
        var _step = data._step;
        var _page = data._page;

        return {fields:{"fld05":{values:[{id:"ext01",label:"External reference \"#01\"",icon:"null",translation:null,displayConditions:[]},{id:"ext02",label:"External reference \\#02",icon:"null",translation:null,displayConditions:[]},{id:"ext03",label:"External reference '#03'",icon:"null",translation:null,displayConditions:[]}],external:null},"fld04":{values:[{id:"opt01",label:"Using some \"double quote\"",icon:"null",translation:null,displayConditions:[]},{id:"opt02",label:"Using some \\ characters",icon:"null",translation:null,displayConditions:["626F4FE24E230DFD0A30852F849871B7FAFD4C60D831450FA9252D09FE4F5C09"]},{id:"opt03",label:"Using some 'quote'",icon:"null",translation:null,displayConditions:[]}],external:null}},displayConditions:{"626F4FE24E230DFD0A30852F849871B7FAFD4C60D831450FA9252D09FE4F5C09":{dependsOn:["_page.group01Id.died"],predicate:function(){ return (_page.group01Id.died); }}}};
    });

    define('_fm_description', [], function() {
        return {
            'lang'          : 'fr',
            'recordUid'     : '2018-05-REC-AAA-42',
            'title'         : 'Generic Record Description',
            'description'   : '',
            'currentStep'   : '0',
            'displayedStep' : '[[${desc.displayedStep}]]'
        };
    });

    requirejs([ 'jquery' ], function ($) {
        $('link[data-nash="page-styles"]').remove();
        $('<link rel="stylesheet" data-nash="page-styles" href="data:text/css;base64,QG1lZGlhKG1pbi13aWR0aDo3NjhweCl7Zm9ybVtuYW1lPSJyZWNvcmQiXSAuZm9ybS1ncm91cFtkYXRhLXJ1bGU9ImZpcnN0bmFtZSJde3dpZHRoOjUwJTt9Zm9ybVtuYW1lPSJyZWNvcmQiXSAuZm9ybS1ncm91cFtkYXRhLXJ1bGU9Imxhc3RuYW1lIl17d2lkdGg6NTAlO319" />').appendTo($('head'));
    });

/*]]>*/
</script>
    </head>
</html>
